freeze layer in vp??..

Discussion in 'AutoCAD' started by C Witt, Apr 24, 2004.

  1. C Witt

    C Witt Guest

    We have this lisp..

    (DEFUN C:LF (/ #SS E #LA L N E-N)
    (PRINC "SELECT OBJECTS ON LAYER TO FREEZE..")
    (SETQ #SS (SSGET))
    (IF #SS (PROGN
    (SETQ E (ENTGET (SSNAME #SS 0)))
    (SETQ #LA (CDR (ASSOC 8 E)))
    (SETQ L 1 N (SSLENGTH #SS))
    (WHILE (< L N)
    (SETQ E (ENTGET (SSNAME #SS L)))
    (SETQ E-N (CDR (ASSOC 8 E)))
    (SETQ #LA (STRCAT #LA "," E-N))
    (SETQ L (1+ L))
    )
    (COMMAND "LAYER" "F" #LA "")))
    )

    that will freze a selected layer in the drawing.. but we want a command
    the will freeze a selected layer in a viewport.. it must be possible, i
    just can't think of a way to do it via lisp.

    any help..?
     
    C Witt, Apr 24, 2004
    #1
  2. C Witt

    C Witt Guest

    never mind.. found it .. one made by Tim Wilson.
     
    C Witt, Apr 24, 2004
    #2
  3. C Witt

    bob.at Guest

    Hello

    change the layercommand (COMMAND "LAYER" "F" #LA ""))) to (COMMAND "VPLAYER" "F" #LA "a" ""))) to freeze it in the current viewport.

    bob.at
     
    bob.at, Apr 24, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.